| Bsoft 2.0.5 Bernard's software package

Classes | Macros | Functions
rwGRD.h File Reference

Header file for reading and writing Basel GRD files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Classes
struct | GRDhead

## Macros
#define | GRDSIZE 512

## Functions
int | readGRD (Bimage *p, int readdata)
| Reading a Basel GRD map image file format. More...
int | writeGRD (Bimage *p)
| Writing a Basel GRD map image file format. More...

## Detailed Description

Header file for reading and writing Basel GRD files.

Author
  Bernard Heymann

Date
  Created: 19990410
  Modified: 20111217

      Format: 3D crystallographic image file format (Basel)

Definition in file rwGRD.h.

## Macro Definition Documentation

## ◆ GRDSIZE

#define GRDSIZE 512

Definition at line 13 of file rwGRD.h.

## Function Documentation

## ◆ readGRD()

int readGRD | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a Basel GRD map image file format.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure). A 3D image format used in electron microscopy. Header size: 512 bytes (fixed). File format extensions: .grd The identifier is a 4-byte magic number (not used). Machine identifier: 1 = little endian, 2 = big endian. Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float 4 = 3-value vector, 5 = view

Definition at line 31 of file rwGRD.cpp.

## ◆ writeGRD()

int writeGRD | ( | Bimage * | p | ) |

Writing a Basel GRD map image file format.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure). A 3D image format used in electron microscopy.

Definition at line 125 of file rwGRD.cpp.